# eric3.DebugClients.Python.DCTestResult

Module implementing a TestResult derivative for the eric3 debugger.

### Classes

DCTestResult | A TestResult derivative to work with eric3's debug client.

### Functions

None

## DCTestResult

A TestResult derivative to work with eric3's debug client. For more details see unittest.py of the standard python distribution.

### Derived from

TestResult

### Methods

DCTestResult | Constructor
addError | Method called if a test errored.
addFailure | Method called if a test failed.
startTest | Method called at the start of a test.
stopTest | Method called at the end of a test.

### DCTestResult (Constructor)

DCTestResult(parent)

Constructor

parent
  The parent widget.

### DCTestResult.addError

addError(test, err)

Method called if a test errored.

test
  Reference to the test object
err
  The error traceback

### DCTestResult.addFailure

addFailure(test, err)

Method called if a test failed.

test
  Reference to the test object
err
  The error traceback

### DCTestResult.startTest

startTest(test)

Method called at the start of a test.

test
  Reference to the test object

### DCTestResult.stopTest

stopTest(test)

Method called at the end of a test.

test
  Reference to the test object

Up